package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import org.springframework.security.core.GrantedAuthority;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author gaodm
 * @since 2018-08-02
 */
public class Role implements GrantedAuthority, Serializable {

	@TableId(value = "id", type = IdType.AUTO)
	private Long id;
	private String name;


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Override
	public String toString() {
		return "Role{" +
				", id=" + id +
				", name=" + name +
				"}";
	}

	@Override
	public String getAuthority() {
		return name;
	}
}
